import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';

import {XlReactDipContainerProps} from '../xl-react-dip-props';
import {XlReactDipCollectionOfCi} from '../xl-react-dip-collection-of-ci/xl-react-dip-collection-of-ci';

export class XlReactDipListOfCi extends PureComponent {
    static propTypes = {
        emptyPlaceholder: PropTypes.string,
        filterVisible: PropTypes.bool,
        handlers: PropTypes.object,
        inputVisible: PropTypes.bool,
        model: PropTypes.array,
        newItemSuffix: PropTypes.string,
        objLabel: PropTypes.string,
        openOnClick: PropTypes.bool,
        ...XlReactDipContainerProps
    };

    render() {
        return <div className="xl-react-components xl-react-dip-list-of-ci">
            <XlReactDipCollectionOfCi {...({...this.props, sortable: true, unique: false})}/>
        </div>;
    }
}
