import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

import './xl-react-widget-input-addon-group.less';

export class XlReactWidgetInputAddonGroup extends PureComponent {
    static propTypes = {
        children: PropTypes.oneOfType([
            PropTypes.node,
            PropTypes.arrayOf(PropTypes.node)
        ]),
        className: PropTypes.string
    };

    render() {
        const {className, children} = this.props;
        return <div className={classNames('xl-react-widget-input-addon-group', className)}>
            {children}
        </div>;
    }
}
