import template from 'lodash.template';
import {localeMessages} from '../../services/locale-service';
import {genericTimestampFormatWithSeconds, toMoment} from '../../utils/date-utils';

export const lastUpdatedTimestamp = (value, format = genericTimestampFormatWithSeconds) => template(
    localeMessages.lastUpdatedTimestamp)({timestamp: value ? toMoment(value, format).format(format) : ''});
