import React, {PureComponent} from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';

import './xl-react-widget-switch-button.less';

export class XlReactWidgetSwitchButton extends PureComponent {
    static propTypes = {
        children: PropTypes.node,
        className: PropTypes.string
    };

    render() {
        const {className, children} = this.props;
        const buttonClassName = classNames('xl-react-button', 'xl-react-widget-switch-button', className);

        return <span className={buttonClassName} role="button">
            {children}
        </span>;
    }
}
