import {Action, Expectation} from 'protractor-base-dsl';

const expectNodeLoading = (nodeNumber) => {
    const selector = `.testComponent .infinite-tree-item:nth-of-type(${nodeNumber}) .infinite-tree-toggler`;
    Expectation.attributeContainsValue(selector, 'class', 'infinite-tree-loading');
};
const toggleNode = (nodeNumber) =>
    Action.jsClick(`.testComponent .infinite-tree-item:nth-of-type(${nodeNumber}) .infinite-tree-toggler`);

const WidgetLazyTree = {
    expectNodeLoading,
    toggleNode
};
export default WidgetLazyTree;
global.WidgetLazyTree = WidgetLazyTree;
