import Navigation from '../../../dsl/common/navigation';
import WidgetCategory from '../../../dsl/component/widget/widget-category';

describe('XL Widget Category Scenario', () => {
    beforeAll(() => Navigation.openWidgetElement('widgetCategory'));

    it('should have right initial state', () => {
        WidgetCategory.expectCategoryVisible();
        WidgetCategory.clickOnTitle();
        WidgetCategory.expectCategoryNotVisible();
        WidgetCategory.clickOnTitle();
        WidgetCategory.expectCategoryVisible();
    });
});
