import Navigation from '../../../dsl/common/navigation';
import WidgetLazyLoadedTree from '../../../dsl/component/widget/widget-lazy-loaded-tree';

describe('XL Widget Lazy Loaded Tree Scenario', () => {
    beforeAll(() => Navigation.openWidgetElement('widgetTreeLazyLoaded'));

    it('should load more items on scroll', () => {
        WidgetLazyLoadedTree.expectNumberOfNodes(10);
        WidgetLazyLoadedTree.loadMoreItems(10);
        WidgetLazyLoadedTree.expectNumberOfNodes(20);
        WidgetLazyLoadedTree.loadMoreItems(20);
        WidgetLazyLoadedTree.expectNumberOfNodes(30);
        WidgetLazyLoadedTree.loadMoreItems(30);
        WidgetLazyLoadedTree.expectNumberOfNodes(40);
    });
});
