import PropTypes from 'prop-types';

export default {
    children: PropTypes.element,
    className: PropTypes.string,
    componentProps: PropTypes.object,
    currentState: PropTypes.object.isRequired,
    isForm: PropTypes.bool,
    label: PropTypes.string,
    modelName: PropTypes.string.isRequired,
    options: PropTypes.shape({copyModel: PropTypes.bool}),
    register: PropTypes.func,
    showBindings: PropTypes.bool,
    updateState: PropTypes.func.isRequired
};
