import * as types from '../constants/AlertTypes';

const initialChangeTypeState = {widgetAlert1Type: 'success'};

export default function alertReducer(state = initialChangeTypeState, action) {
    switch (action.type) {
        case types.CHANGE_TYPE:
            return {
                ...state,
                [`${action.modelName}Type`]: action.newValue
            };

        default:
            return state;
    }
}