export const setTitleOnEllipsis = (jQueryElement) => {
    const shouldUpdateTitle = () => jQueryElement.length && !jQueryElement[0].title;
    if (shouldUpdateTitle()) {
        const copy = jQueryElement
            .clone()
            .css({
                display: 'inline-block',
                visibility: 'hidden',
                width: 'auto'
            })
            .appendTo('body');

        if (copy.width() > jQueryElement.width()) {
            jQueryElement[0].title = jQueryElement[0].innerText;
        }

        copy.remove();
    }
};
