import React from 'react';
import classNames from 'classnames';

export const samplePanelTreeRowRenderer = (node) => {
    const {id, name, state, title} = node;
    const {selected} = state;

    return <div
        className={classNames('infinite-tree-item', {'infinite-tree-selected': selected})}
        data-id={id}
        data-selected={selected}
        title={title}>
        <span>{id}</span>
        <pre>{name}</pre>
    </div>;
};
