exports.getVr = () => {
    if (process.env.SELENIUM_TEST_VR_HOSTNAME) {
        const VisualReview = require('visualreview-protractor');
        return new VisualReview({
            hostname: process.env.SELENIUM_TEST_VR_HOSTNAME,
            port: 7000
        });
    }

    global.VisualRegression = {
        changeTextStyleColor: () => {},
        makeTextInvisible: () => {},
        returnTextVisibility: () => {},
        takeScreenshot: () => {},
        takeScreenshotsOnSmallScreenSize: () => {},
        takeScreenshotWithoutExclusions: () => {}
    };

    return {
        cleanup: () => {},
        disabled: true,
        initRun: () => {},
        takeScreenshot: () => {}
    }
};
