import {Expectation} from 'protractor-base-dsl';
import Navigation from '../../dsl/common/navigation';
import TestBindings from '../../dsl/common/test-bindings';
import XlComponentsHelper from '../../dsl/common/xl-components-helper';

describe('XL Dip Dynamic Form as Containment Scenario', () => {
    beforeAll(() => Navigation.openFormElement('dynamicFormAsContainment'));
    afterAll(() => TestBindings.resetPristinity());

    it('should have correct labels', () => {
        const componentSelector = '.xl-react-dip-dynamic-form-as-containment';
        const formElement = element(By.css(componentSelector));

        const dipCiElement = XlComponentsHelper.getElementByLabel('environment (asContainment = true)', formElement);
        Expectation.textEquals(dipCiElement.element(By.css('input')), 'Environments/SomeEnv');
    });
});
